import React from 'react';
import { View } from '@tarojs/components';
import { useModel } from '@/store';

export default (props) => {
  const { roles = [] } = props;
  const { user } = useModel('user');

  const targets = user?.dutyList || [];

  let hasRights = false;
  for(let role of roles) {
    if (hasRights) {
      continue;
    }

    const found = targets.indexOf(role) > -1;
    if (found) {
      hasRights = found;
    }
  }

  return !roles.length || hasRights ? props.children : (
    <View style={{width: '100%', height: '100%', display: 'grid', placeItems: 'center'}}>
      <View>暂无权限</View>
    </View>
  );
}
