import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { CellGroup, Cell, Field, Button } from '@antmjs/vantui';
import Map from '@/components/map';
import mapIcon from '@/assets/icons/marker.png';
import FormTpl from './FormTpl';

export default (props) => {

  const { detail, onDetailChange, onClick } = props;
  
  const setFieldChange = (key, val) => {
    onDetailChange({
      ...detail,
      [key]: val,
    })
  }
  
  return (
    <FormTpl
      action={(
        <Button block type="primary" onClick={onClick}>下一步</Button>
      )}
    >
      <Map onLocChange={e => setFieldChange('location', e)} />
      <CellGroup>
        <Cell
          isLink
          title="点位"
          value={detail?.name}
        />
        <Field
          placeholder="请输入地址"
          value={detail?.addr}
          leftIcon={mapIcon}
          onChange={e => setFieldChange('addr', e.detail)}
        />
      </CellGroup>
    </FormTpl>
  )
}
