import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import Page from '@/layouts/index';
import { getTaCheckItemById, preCheck } from '@/services/tacheckitem';
import { getTaCheckItemQu } from '@/services/tacheckitemqu';
import LocForm from './components/LocForm';

export default (props) => {

  const router = Taro.useRouter();
  const { id } = router.params;

  const [loading, setLoading] = React.useState(false);
  const [checkInfo, setCheckInfo] = React.useState();
  const [quList, setQuList] = React.useState([]);

  React.useEffect(() => {
    setLoading(true);
    preCheck(id).then(() => {
      getTaCheckItemById(id).then(res => {
        setCheckInfo(res);
      });
  
      getTaCheckItemQu({pageSize: 200, itemId: id}).then(res => {
        setLoading(false);
        setQuList(res.records || []);
      }).catch(() => {
        setLoading(false);
      });
    }).catch(() => {
      setLoading(false);
    });
  }, [id]);
  
  return (
    <Page loading={loading}>
      <LocForm />
    </Page>
  )
}
